Installare MATE su OMLx 3.02

mate
desktop
Tags: #<Tag:0x00007ff2c1625ca8> #<Tag:0x00007ff2c1625b68>

(rugyada) #21

Quasi quasi tengo questi

OSX-Arc

No, l’ho trovato qui


(rugyada) #22

Possiamo aggiungere anche Otter al bug report:
Postedit:
Stavo per confermarti il bug e aggiungere Otter, ma vedo adesso che mi hai preceduto.

Probabilmente non a caso sono entrambi in Qt.
Roba per @bero :wink:


#23

:thinking: … un po’ troppo :apple: :wink:

Sì, probabilmente condividono lo sterro motore di rendering , QtWebEngine (non ho capito se otter usa anche WebKit), ma usano versioni differenti perché qupzilla nella lx3.0x funziona bene.


(rugyada) #24

Si lo so lo so, ma non per questo non possono essere piacevoli. A mio gusto, ovvio.
PS> pulsanti per niente appariscenti a parte… :stuck_out_tongue:

Se tutto va come deve andare otter sarà aggiornato e promosso in main :innocent: :roll_eyes:


#25

Ho aggiornato mate-polkit e adesso sembra funzionare :). Non avendo cambiato il campo Release: la procedura per l’aggiornamento è:

urpmi --auto-update
urpme mate-polkit
urpmi task-mate

Adesso sembra funzionare tutto e non vedo errori importanti in ~/.local/share/sddm/xorg-session.log.

Penso sia un errore della libreria gtk.


(rugyada) #26

Bene. Aggiorno al più presto e ti so dire.
@mandian non è che ti fischiavano le orecchie ieri pomeriggio ?


#27

:rofl:

Come no! Una piccola parte l’ho anche seguita in diretta … però avevo troppo da fare per intervenire.


(rugyada) #28

Da te l’aggiornamento non si lamenta dei pacchetti di python?
Qui ne ha rimosso una dozzina, compreso qupzilla. Al tentativo di reinstallare qualcosa mi dice che dipendono da pacchetti più vecchi.

Ad ogni modo: mate-polkit l’ho prima rimosso e dopo rimesso.
urpmi task-mate mi dice che c’è già quindi l’ho rimosso con nodeps e l’ho reinstallato (?).
polkit… boh, come lo verifico se funziona?
Qui di programmi che richiedono la password non se ne apre uno :stuck_out_tongue:


#29

No. Quali?

qupzilla me lo ha disinstallato da un po’ di tempo per lo stesso motivo ma se non dice quali sono i pacchetti che causano il conflitto non so che fare … anzi, lo so (me lo hai fatto conscere tu :wink: ): uso otter-browser.

Pensavo che avessi installato mate con task-mate; in quel caso rimuovendo mate-polkit sarebbe stato rimosso anche task-mate in automatico.

Dopo aver installato mate-polkit bisogna riavviare qualche servizio di cui non so il nome, però ho riavviato tutto il sistema e poi ha cominciato a funzionare. Se ancora non funziona probabilmente ti manca anche qualche dipendenza (non le ho ancora sistemate). Prova a controllare se i seguenti pacchetti sono installati:

  • lib64peas-gtk1.0_0
  • lib64peas-gir1.0
  • lib64peas-gtk-gir1.0
  • lib64polkit-gtk-mate1_0
  • lib64polkitgtkmate-gir1.0

Altrimenti puoi procare a vedere se trovi dei messaggi in _.local/share/sddm/xorg-session.log _.


(rugyada) #30

Si l’ho fatto, ma forse ho sbagliato poi a rimuovere mate-polkit con nodeps.

Se hai voglia di leggere… [link] :slight_smile:

Postedit:

Mi sa che non ne ho neppure uno.

Postedit2:
Toh, ora va. Avevo già riavviato almeno un paio di volte stamattina cmq :smile:


#31
lib64Qt5WebEngineCore5-5.8.0-3-omv2015.0.x86_64
 (perché manca libprotobuf.so.9()(64bit),

La versione di protobuf nel mio repo non è compatibile :innocent: con i pacchetto ufficiali. Avevo richiesto l’aggiornamento un po’ di tempo fa ed era anche stato accettata la pull request. Poi per un baco in javapackages-tool sono tornati indietro e non ci hanno più riprovato (almeno questo ho dedotto dal repo su github). Non so se c’è un modo per escludere protobuf* dagli aggiornamenti altrimenti lo rimuovo temporaneamente dal mio repo.

urpmi task-mate --no-verify-rpm --test

Al posto di –no-verify-rpm puoi aggoiungere verify-rpm: 0 per il mio repo in /etc/urpmi/urpmi.cfg


#32

:+1:
Senza installare niente?


(rugyada) #33

Ok. Se rimuovo protobuf, disabilito il repo, e lo reinstallo come la vedi?

Oh questa mi mancava :wink:

Si si, avevo temporaneamente chiuso, per andare a distruggere la macchina con cooker. Missione compiuta! :rofl:
Ho riavviato questa per copiarti i log.


(rugyada) #34

Scusa, rettifico. L’avevo dimenticato:


#35

:laughing:

grazie.

Al successivo aggiornamento si reinstalla. Per ora l’ho tolto anche perché in quello stato dava troppi problemi. Poi lo rimetterò.

Niente di strettamente legato a mate-polkit :thinking: Spero non sia un problema saltuario.

Vedo di sistemare le dipendenze e poi riprovo su una macchia pulita.


(rugyada) #36

Ho rimosso protobuf e ho installato quello nel repo ufficiale. Ho anche reinstallato i pacchetti che mi aveva rimosso, pare tutto a posto. Anche qupzilla.

Ora ho potuto installare anche oma welcome. Quello super aggiornato, che non ha nessuno :smile:


(Giovanni) #37

Ciao , ho installato il pacchetto task-mate , murrine e mate-themes dai repository ufficiali. Accedo alla sessione Mate , il sistema funziona , come posso fare per sistemare la formattazione dei menù ? le varie voci sono tutte unite …


(rugyada) #38

gtk-qualcosa, tipo breeze-gtk ?


#39

Puoi provare ad installare openmandriva-mate-config e riconfigurate MATE daccapo con il comando dconf reset -f /org/mate . Non so dirti altro perché ho preferito compilare l’ultima versione invece che provare a sistemare quulla già nei repo ;).


(rugyada) #40

Ho appena scaricato ed installato l’ultima ISO LXQt prodotta, build 1292 - (sperando che rimanga disponibile).

Noto con piacere che finalmente sono stati aggiunti alla lista dei pacchetti breeze-gtk, oxygen-gtk e oxygen-icons :stuck_out_tongue: ed infatti l’interfaccia di installazione ora è decente, non più quel pasticcio con sfondo nero.

A breve la userò per installare MATE.
@mandian c’è qualcosa di nuovo che dovrei sapere? Suggerimenti/aggiornamenti su come procedono i lavori?